Description: debianization: examples
 Meant to address Debian specific requirements and stuff for examples.
 Uncomment TikZ material and comment out verbose, unnecessary, and obsolete
 phrasing on the TikZ [La]TeX package (with 5 `%' patterns to allow quick
 and easy reversing).
Origin: vendor, Debian
Forwarded: not-needed
Author: Jerome Benoit <calculus@rezozer.net>
Last-Update: 2016-12-30

--- a/example.tex
+++ b/example.tex
@@ -14,7 +14,7 @@
 % If you want to see the examples in the section "Plotting
 % (combinatorial) graphs with TikZ" remove the \begin{comment}
 % and \end{comment} in that section and uncomment the following line.
-%\usepackage{tkz-berge}
+\usepackage{tkz-berge}
 
 
 \usepackage{sagetex}
@@ -188,18 +188,18 @@
 \href{http://www.texample.net/tikz/}{TikZ}. Here, we mean things with
 vertices and edges, not graphs of a function of one or two variables.
 
-The graphics in this section depends on the \texttt{tkz-berge} package,
-which is generally only available in newer \TeX{} distributions (for
-example, \TeX Live 2011 and newer). That package depends in turn on
-TikZ 2.0, which is also only available in newer \TeX{} distributions.
-Installing both of those is in some cases nontrivial, so this section is
-disabled by default.
-
-If you have TikZ and \texttt{tkz-berge} and friends, remove the
-\texttt{comment} environments below.
-
-\begin{comment}
-
+%%%%%The graphics in this section depends on the \texttt{tkz-berge} package,
+%%%%%which is generally only available in newer \TeX{} distributions (for
+%%%%%example, \TeX Live 2011 and newer). That package depends in turn on
+%%%%%TikZ 2.0, which is also only available in newer \TeX{} distributions.
+%%%%%Installing both of those is in some cases nontrivial, so this section is
+%%%%%disabled by default.
+%%%%%
+%%%%%If you have TikZ and \texttt{tkz-berge} and friends, remove the
+%%%%%\texttt{comment} environments below.
+%%%%%
+%%%%%\begin{comment}
+%%%%%
 First define our graph:
 
 \begin{sageblock}
@@ -207,16 +207,16 @@
   g.set_latex_options(tkz_style='Art')
 \end{sageblock}
 
-Now just do \verb|\sage{}| on it to plot it. You'll need to use the
-\texttt{tkz-berge} package for this to work; that package in turn
-depends on \texttt{tkz-graph} and TikZ. See
-\href{http://altermundus.fr/pages/tkz.html}{\texttt{altermundus.fr/pages/tkz.html}};
-if you're using a recent version of \TeX Live, you can use its package
-manager to install those packages, or get them from CTAN:
-\href{http://www.ctan.org/pkg/tkz-berge}{\texttt{www.ctan.org/pkg/tkz-berge}}.
-See
-\href{http://doc.sagemath.org/html/en/reference/sage/graphs/graph_latex.html}{``\LaTeX{}
-  Options for Graphs''} in the Sage reference manual for more details.
+Now just do \verb|\sage{}| on it to plot it.
+You'll need to use the \texttt{tkz-berge} package for this to work;
+that package in turn depends on \texttt{tkz-graph} and TikZ.
+%%%%%See \href{http://altermundus.fr/pages/tkz.html}{\texttt{altermundus.fr/pages/tkz.html}};
+%%%%%if you're using a recent version of \TeX Live, you can use its package
+%%%%%manager to install those packages, or get them from CTAN:
+%%%%%\href{http://www.ctan.org/pkg/tkz-berge}{\texttt{www.ctan.org/pkg/tkz-berge}}.
+%%%%%See
+%%%%%\href{http://doc.sagemath.org/html/en/reference/sage/graphs/graph_latex.html}{``\LaTeX{}
+%%%%%  Options for Graphs''} in the Sage reference manual for more details.
 
 \begin{center}
   \sage{g}
@@ -247,7 +247,7 @@
 
 \sageplot[scale=.5]{G4plot, axes=False}
 
-\end{comment}
+%%%%%\end{comment}
 
 \subsection{3D plotting}
 
@@ -454,15 +454,15 @@
 
 \section{Plotting functions in Ti\emph{k}Z with Sage\TeX}
 
-(The code in this section should work with any reasonable version of
-Ti\emph{k}Z, which means it should work with all but the most terribly
-out-of-date \TeX{} installations---but to make sure we can accomodate
-everyone, the code here is commented out. You can almost certainly
-uncomment and run them. Make sure you do \verb|\usepackage{tikz}| in the
-preamble.)
-
-\begin{comment}
-
+%%%%%(The code in this section should work with any reasonable version of
+%%%%%Ti\emph{k}Z, which means it should work with all but the most terribly
+%%%%%out-of-date \TeX{} installations---but to make sure we can accomodate
+%%%%%everyone, the code here is commented out. You can almost certainly
+%%%%%uncomment and run them. Make sure you do \verb|\usepackage{tikz}| in the
+%%%%%preamble.)
+%%%%%
+%%%%%\begin{comment}
+%%%%%
 The wonderful graphics package TikZ has the ability to plot functions by
 reading in a sequence of points from an external file---see chapter 18,
 page 193 of the TikZ manual. This facility is designed around files
@@ -539,7 +539,7 @@
 to feed TikZ a bunch of data points, and it automatically make a very
 nice plot for you, including axes, labels, and so on.
 
-\end{comment}
+%%%%%\end{comment}
 
 \section{The \texttt{sagecommandline} environment}
 
